petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatCoarsenSetType

Sets the type of aggregator to use

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCoarsenSetType(MatCoarsen coarser, MatCoarsenType type)

Collective on MatCoarsen

### Input Parameter

| coarser | - the coarsen context.
| type | - a known coarsening method

### Options Database Command

     -mat_coarsen_type  <type>

         Use -help for a list of available methods

         (for instance, mis)

### Keywords

coarsen, set, method, type

### See Also

MatCoarsenCreate(), MatCoarsenApply(), MatCoarsenType, MatCoarsenGetType()

Level:intermediate
Location:src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages